org.apache.cassandra.db

## Class CollationController

- java.lang.Object
- - org.apache.cassandra.db.CollationController

-     public class CollationController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollationController(ColumnFamilyStore cfs, QueryFilter filter, int gcBefore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSstablesIterated()`
    `ColumnFamily` | `getTopLevelColumns(boolean copyOnHeap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollationController

          public CollationController(ColumnFamilyStore cfs,
                                     QueryFilter filter,
                                     int gcBefore)

  - ### Method Detail

    - #### getTopLevelColumns

          public ColumnFamily getTopLevelColumns(boolean copyOnHeap)

    - #### getSstablesIterated

          public int getSstablesIterated()

Copyright © 2018 The Apache Software Foundation